Class | Sequel::SQL::JoinOnClause
In: | lib/sequel/sql.rb
Parent: | JoinClause

Represents an SQL JOIN table ON conditions clause.

### Methods

new

### Attributes

on | [R] | The conditions for the join

### Public Class methods

new(on, *args)

Create an object with the ON conditions and call super with the remaining args.

[Source]

         # File lib/sequel/sql.rb, line 644
    644:       def initialize(on, *args)
    645:         @on = on
    646:         super(*args)
    647:       end

[Validate]